{
  description = "h7x4s WIP packages that has not been added to nixpkgs (yet?)";

  inputs.nixpkgs.url = "nixpkgs/nixos-22.05";

  outputs = { self, nixpkgs, ... }: let
    # I don't have any other systems to test on yet...
    system = "x86_64-linux";

    pkgs = nixpkgs.legacyPackages.${system};

    inherit (pkgs) lib;
  in {
    overlays.default = final: prev: prev // self.packages.${system};

    packages.${system} = let
      inherit (pkgs) callPackage;
    in rec {
      ani-cli = callPackage ./pkgs/ani-cli {};
      ark-pixel-font = callPackage ./pkgs/ark-pixel-font {};
      ddh = callPackage ./pkgs/ddh {};
      fcitx5-material-color = callPackage ./pkgs/fcitx5-material-color {};
      git-mirror = callPackage ./pkgs/git-mirror {};
      koneko = callPackage ./pkgs/koneko {};
      nuber = callPackage ./pkgs/nuber { };
      rsnake = callPackage ./pkgs/rsnake {};
      scdl = callPackage ./pkgs/scdl (pkgs.python310Packages // { inherit soundcloud-v2; });
      simplicity-studio-5 = pkgs.libsForQt5.callPackage ./pkgs/simplicity-studio-5 {};
      soundcloud-v2 = callPackage ./pkgs/soundcloud-v2 pkgs.python310Packages;
      super-tiny-icons = callPackage ./pkgs/super-tiny-icons {};
      xiu = callPackage ./pkgs/xiu {};
    };

    hydraJobs = lib.mapAttrs'
      (name: value: lib.nameValuePair name { ${system} = value; })
      self.packages.${system};
  };
}
