{ lib, stdenvNoCC, python3Packages, fetchFromGitHub }:

stdenvNoCC.mkDerivation rec {
  pname = "ark-pixel-font";
  version = "2022.11.11";

  src = fetchFromGitHub {
    owner = "TakWolf";
    repo = pname;
    rev = version;
    sha256 = "KCYXKPu0DoEQ+QCPUn9yODiBqW3H7YtiHHhct8bT0JA=";
  };

  nativeBuildInputs = with python3Packages; [
    python
    beautifulsoup4
    brotli
    fonttools
    gitdb
    GitPython
    jinja2
    markupsafe
    # minify_html
    pillow
    pypng
    smmap
    soupsieve
  ];

  buildPhase = ''
    python build.py
  '';

  meta = with lib; {
    homepage = "https://github.com/TakWolf/ark-pixel-font";
    description = "Open source Pan-CJK pixel font";
    license = with licenses; [ mit ofl ];
    maintainers = with maintainers; [ h7x4 ];
  };
}
