{ pkgs ? import <nixpkgs> }: let
  p = pkgs.python39Packages;
in p.buildPythonApplication rec {
  pname = "bulk-downloader-for-reddit";
  version = "2.5.2";
  src = p.fetchPypi {
    pname = "bdfr";
    inherit version;
    sha256 = "3+5bShEytO/M7tX0RMUYrQdTjrolP1+vDM9JifrZ+hk="; # TODO
  };
  # src = pkgs.fetchFromGitHub {
  #   owner = "aliparlakci";
  #   repo = "bulk-downloader-for-reddit";
  #   rev = "v2.5.2";
  #   sha256 = "Q5kWlWzAm7a3DhsRNyGdtyELnVH8LMNNLPEOrYog4W0=";
  # };

  patchPhase = ''
    sed -i "s/bs4>=0.0.1/beautifulsoup4>=4.11/g" requirements.txt
  '';

  buildInputs = with p; [
    pytest
  ];

  propagatedBuildInputs = with p; [
    appdirs
    beautifulsoup4
    dict2xml
    pbr
    praw
    pyyaml
    yt-dlp
    ffmpeg-python
    click
    requests
  ];

  postInstall = ''
    mkdir -p $out/bin
    echo "python -m bdfr" > $out/bin/bdfr
    chmod +x $out/bin/bdfr
  '';

  # shellHook = ''
  #   ls
  # '';
}
