{ lib, fetchFromGitHub, rustPlatform, ... }:
rustPlatform.buildRustPackage rec {
  pname = "ddh";
  version = "0.12.0";

  src = fetchFromGitHub {
    owner = "darakian";
    repo = pname;
    rev = version;
    sha256 = "BttBEbGzN2z/Dasr7DZUucXCn3tsIDugdFRmqssL4PE=";
  };

  cargoSha256 = "";

  meta = with lib; {
    description = "A fast duplicate file finder";
    longDescription = ''
      DDH traverses input directories and their subdirectories.
      It also hashes files as needed and reports findings.
    '';
    homepage = "https://github.com/darakian/ddh";
    license = licenses.unlicense;
    maintainers = [ maintainers.tailhook ];
  };
}