{
  pkg-config,
  cmake,

  rustPlatform,
  fetchFromGitHub,
  lib,
  openssl
}:
rustPlatform.buildRustPackage rec {
  pname = "git-mirror";
  version = "0.14.6";

  src = fetchFromGitHub {
    owner = "bachp";
    repo = "git-mirror";
    rev = "v${version}";
    sha256 = "sha256-jF4KvMrC2+SIt45HgcHKy1jNOYmSb0vBC6iMQ5x8M78=";
  };

  cargoSha256 = "sha256-lHIOZBUq5wH/J4f/CZwzbXdEGkWUPoz323czAaJes6Q=";

  nativeBuildDependencies = [ cmake pkg-config ];
  buildDependencies = [ openssl ];

  OPENSSL_DIR = "${openssl}/";
  RUST_BACKTRACE="1";

  meta = with lib; {
    description = "A small utility that allows to mirror external repositories to GitLab, GitHub and possible more";
    homepage = "https://github.com/${owner}/${repo}";
    license = licenses.mit;
    # maintainers = with maintainers; [ h7x4 ];
    platforms = platforms.unix;
    changelog = "https://github.com/${owner}/${repo}/blob/v${version}/CHANGELOG.md";
  };
}
