{ lib, fetchFromGitHub, rustPlatform, xorg, ... }:
rustPlatform.buildRustPackage rec {
  pname = "rsnake";
  version = "1.0";

  src = fetchFromGitHub {
    owner = "mara214";
    repo = pname;
    rev = "v${version}";
    sha256 = "ZRr253pp7HElwArxqNlAIYg0ksIvSRWVE2YDwC9/6y8=";
  };

  cargoSha256 = "HsAW1Az6R30xgRtM+lkIW81HdQUQa/X2my4VetwqxOc=";

  buildInputs = [ xorg.libX11 ];

  meta = with lib; {
    description = "Snake implemented in rust";
    homepage = "https://github.com/BurntSushi/ripgrep";
    license = licenses.mit;
    platforms = platforms.linux;
    maintainers = [ maintainers.h7x4 ];
  };
}
