{
  lib,

  buildPythonPackage,
  fetchPypi,

  docopt,
  mutagen,
  termcolor,
  requests,
  clint,
  pathvalidate,
  soundcloud-v2,
  ...
}:
buildPythonPackage rec {
  pname = "scdl";
  version = "2.7.3";
  src = fetchPypi {
    inherit pname version;
    sha256 = "YChLewWAQNSEfy5LCrkGsQ6VnVH5dqAYhkHo4QaFR08=";
  };

  propagatedBuildInputs = [
    docopt
    mutagen
    termcolor
    requests
    clint
    pathvalidate
    soundcloud-v2
  ];

  outputs = [ "out" "doc" ];

  postInstall = ''
    install -Dm644 -t $doc/share/doc/scdl/ \
      AUTHORS \
      LICENSE \
      README.md \
      scdl/scdl.cfg
  '';

  meta = with lib; {
    description = "Soundcloud Music Downloader";
    longDescription = ''
      This script is able to download music from SoundCloud and set id3tag to the downloaded music.
      Compatible with Windows, OS X, Linux.
    '';
    homepage = "https://github.com/flyingrub/scdl";
    license = licenses.gpl2;
    maintainers = [ maintainers.h7x4 ];
    platforms = platforms.linux;
  }; 
}
