{
  lib,

  buildPythonPackage,
  fetchPypi,

  dacite,
  python-dateutil,
  requests,
  ...
}:
buildPythonPackage rec {
  pname = "soundcloud-v2";
  version = "1.3.1";
  src = fetchPypi {
    inherit pname version;
    sha256 = "mpwSqiLnFWbiymAVJnyrwYVq/Xn6RY8PxDxEhywYR0E=";
  };

  propagatedBuildInputs = [
    dacite
    python-dateutil
    requests
  ];

  outputs = [ "out" "doc" ];

  postInstall = ''
    install -Dm644 -t $doc/share/doc/soundcloud-v2/ \
      LICENSE \
      README.md
  '';

  meta = with lib; {
    description = "Python wrapper for some of the v2 SoundCloud API";
    homepage = "https://github.com/7x11x13/soundcloud.py";
    license = licenses.mit;
    maintainers = [ maintainers.h7x4 ];
    platforms = platforms.linux;
  }; 
}
