{ lib, fetchFromGitHub, rustPlatform, ... }:
rustPlatform.buildRustPackage rec {
  pname = "xiu";
  version = "0.0.11";

  src = fetchFromGitHub {
    owner = "harlanc";
    repo = pname;
    rev = "v${version}";
    sha256 = "N3Y5AMKfK5KGCxygYGxqrBdcGs/VjCEYMMrWEbxnavE=";
  };

  cargoSha256 = "";

  meta = with lib; {
    description = "A simple and secure live media server in pure Rust";
    longDescription = ''
      Xiu is a simple and secure live media server written by pure Rust.
      It now supports popular live protocols like RTMP/HLS/HTTP-FLV (and maybe other protocols in the future).
      You can deploy it as a stand-alone server or a cluster using the relay feature.
    '';

    homepage = "https://github.com/harlanc/xiu";
    license = licenses.mit;
    platforms = platforms.linux;
    maintainers = [ maintainers.h7x4 ];
  };
}
